Bug 1702478 - Operating System Information from Smart State wiped out by OpenStack provider refresh
Summary: Operating System Information from Smart State wiped out by OpenStack provider...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.4
Assignee: Evgeny Chufarov
QA Contact: Ievgen Zapolskyi
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1646467
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 21:47 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
10 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1646467
Environment:
Last Closed: 2019-05-21 05:47:07 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-24 19:48:22 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/779877c22492e873b8b124244426b91f0f100776
commit 779877c22492e873b8b124244426b91f0f100776
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Mar 18 10:37:38 2019 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Mon Mar 18 10:37:38 2019 -0400

    Merge pull request #18477 from agrare/fix_graph_refresh_overwriting_smartstate_operating_systems

    Fix graph refresh overwriting smartstate OS info

    (cherry picked from commit f11b01e90296340d9217b9264c3d98890cede8c8)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702478

 app/models/manageiq/providers/inventory/persister/builder/infra_manager.rb | 7 -
 app/models/manageiq/providers/inventory/persister/builder/shared.rb | 24 +-
 2 files changed, 23 insertions(+), 8 deletions(-)

Comment 3 Ievgen Zapolskyi 2019-05-02 12:49:17 UTC
Verified in 5.10.4.1. instances and images don't loose Operation System and other info after provider refresh.

Comment 5 errata-xmlrpc 2019-05-21 05:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.